Update video thumbnail
PUT
/media/v1/projects/{projectId}/videos/{videoId}/thumbnailReplaces the thumbnail image for an existing video.
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
videoId*string
Video ID
Request Body
multipart/form-data{
"thumbnail": "string"
}thumbnail*string
Thumbnail image file
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/videosv1.UploadVideoThumbnailResponse",
"$ref-value": {
"properties": {
"thumbnail_url": {
"type": "string"
}
},
"type": "object"
}
}curl -X PUT "https://api.rixl.com/media/v1/projects/string/videos/string/thumbnail" \
-F thumbnail="string"OK
application/json
{
"$ref": "#/components/schemas/videosv1.UploadVideoThumbnailResponse",
"$ref-value": {
"properties": {
"thumbnail_url": {
"type": "string"
}
},
"type": "object"
}
}